Skip to main content

Atrium API

Aggregate Member

Calling this endpoint initiates an aggregation event for the member. This gathers the latest account and transaction data from the connected institution. If this data has recently been updated, MX may not initiate an aggregation event.

If a standard aggregation is already running, a 202 Accepted status will be returned. If another aggregation-type process is already running — like verification or extended transaction history — a 409 Conflict will be returned.

caution
  • This endpoint can trigger multi-factor authentication. It is therefore important that the end user be present when initiating aggregation.
  • This endpoint should not be used to perform periodic aggregations; MX automatically attempts to aggregate each member in the background approximately every 24 hours. However, if you aggregate a member with this endpoint, MX will not initiate a background aggregation within the next 20-hour period.
POST
/users/{user_guid}/members/{member_guid}/aggregate

Request sample

Language:sh

_10
curl -i -X POST 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/aggregate' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'Content-Type: application/json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_15
{
_15
"member": {
_15
"aggregated_at": "2016-10-13T18:07:57+00:00",
_15
"connection_status": "CONNECTED",
_15
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_15
"identifier": "unique_id",
_15
"institution_code": "mxbank",
_15
"is_being_aggregated": true,
_15
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-15\"}",
_15
"name": "MX Bank",
_15
"status": "INITIATED",
_15
"successfully_aggregated_at": "2016-10-13T17:57:38+00:00",
_15
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_15
}
_15
}